#pragma once

//#ifndef __RAW16_H
//#define __DRAW16_H

#ifdef __WATCOMC__
#pragma library("draw16.lib")
#endif

#ifdef __cplusplus
extern "C" {
#endif
//---------------------------------------------------------------------------//
#include "misc/col.h"

void plot16 ( BUFF *buff, const XYZ p, RGBA col);
void line16( BUFF *buff, const XYZ p1, const XYZ p2, RGBA col);
void poly16( BUFF *buff, const XYZ p1, const XYZ p2, const XYZ p3, RGBA col );
void tpoly16( BUFF *buff, const XYZ p1, const XYZ p2, const XYZ p3, BYTE *data );
void blit16( BUFF *buff, const XYZ p, RGBA *image, int *zimage, int width, int height);

//---------------------------------------------------------------------------//
#ifdef __cplusplus
}
#endif
//#endif

